[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#616139: python-kde4: kdebindings do not build

Package: python-kde4
Version: sid
Severity: serious
Justification: fails to build from source (but built successfully in the past)

Found an issue with smoke:
CMakeFiles/smokekio.dir/x_20.o: In function `__smokekio::x_KIO::x_47(Smoke::StackItem*)':
/workload/agaida/test/kdebindings-4.4.5/obj-x86_64-linux-gnu/smoke/kio/x_20.cpp:5535: undefined reference to `KIO::file_copy(KUrl const&, KUrl const&, QFlags<KIO>)' 

and break.

Should imho be:

KIO::file_copy(KUrl const&, KUrl const&,-1, QFlags<KIO>) 

So i think it's a problem with the code generation in smoke.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-2.gc.3-gcom-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-kde4 depends on:
ii  kdebase-runtime     4:4.5.3-0r1.1        runtime components from the offici
ii  kdepim-runtime      4:4.4.7-1            Runtime components for akonadi-kde
ii  libakonadi-kde4     4:4.5.1-0r1.1        library for using the Akonadi PIM 
ii  libakonadi-kmime4   4:4.5.1-0r1.1        library for using the Akonadi PIM 
ii  libc6               2.11.2-13            Embedded GNU C Library: Shared lib
ii  libkdecore5         4:4.5.3-0r1          the KDE Platform Core Library
ii  libkdeui5           4:4.5.3-0r1          the KDE Platform User Interface Li
ii  libkdnssd4          4:4.5.3-0r1          the DNS-SD Protocol Library for th
ii  libkfile4           4:4.5.3-0r1          the File Selection Dialog Library 
ii  libkhtml5           4:4.5.3-0r1          the KHTML Web Content Rendering En
ii  libkio5             4:4.5.3-0r1          the Network-enabled File Managemen
ii  libknewstuff2-4     4:4.5.3-0r1          the "Get Hot New Stuff" v2 Library
ii  libknewstuff3-4     4:4.5.3-0r1          the "Get Hot New Stuff" v3 Library
ii  libkparts4          4:4.5.3-0r1          the Framework for the KDE Platform
ii  libkpty4            4:4.5.3-0r1          the Pseudo Terminal Library for th
ii  libktexteditor4     4:4.5.3-0r1          the KTextEditor interfaces for the
ii  libkutils4          4:4.5.3-0r1          dummy transitional library
ii  libnepomuk4         4:4.5.3-0r1          the Nepomuk Meta Data Library
ii  libnepomukquery4a   4:4.5.3-0r1          the Nepomuk Query Library for the 
ii  libphonon4          4:4.6.0really4.4.2-1 the core library of the Phonon mul
ii  libplasma3          4:4.5.3-0r1          the Plasma Library for the KDE Pla
ii  libpython2.6        2.6.6-8+b1           Shared Python runtime library (ver
ii  libqt4-network      4:4.7.1-2            Qt 4 network module
ii  libqt4-svg          4:4.7.1-2            Qt 4 SVG module
ii  libqt4-xml          4:4.7.1-2            Qt 4 XML module
ii  libqtcore4          4:4.7.1-2            Qt 4 core module
ii  libqtgui4           4:4.7.1-2            Qt 4 GUI module
ii  libsolid4           4:4.5.3-0r1          Solid Library for KDE Platform
ii  libsoprano4         2.5.0+dfsg.1-1       libraries for the Soprano RDF fram
ii  libstdc++6          4.5.2-4              The GNU Standard C++ Library v3
ii  phonon              4:4.6.0really4.4.2-1 metapackage for the Phonon multime
ii  python              2.6.6-3+squeeze5     interactive high-level object-orie
ii  python-qt4          4.8.3-1              Python bindings for Qt4
ii  python-sip          4.12.1-1.1           Python/C++ bindings generator runt
ii  python-support      1.0.11               automated rebuilding support for P
pn  sip-api-7.1         <none>               (no description available)

python-kde4 recommends no packages.

Versions of packages python-kde4 suggests:
ii  python2.5                     2.5.5-11   An interactive high-level object-o

Reply to: